# TODOs and Remarks

## Now

* print-system-reqs

## Cleanups

* avoid alternative for IO
* don't use Excepts?

## Maybe

* maybe: changelog          Show the changelog of a GHC release (online)
* OS faking
* sign the JSON? (Or check gpg keys?)

* testing (especially distro detection -> unit tests)

* hard cleanup command?

## Later

* static builds and host ghcup
* do bootstrap-haskell with new ghcup
* add support for RC/alpha/HEAD versions
* check for updates on start
* use plucky or oops instead of Excepts

## Questions

* handling of SIGTERM and SIGUSR
* installing musl on demand?
* redo/rethink how tool tags works
  * tarball tags as well as version tags?
* mirror support
* check for new version on start
  * how to propagate updates? Automatically? Might solve the versioning problem
  * maybe add deprecation notice into JSON
* interactive handling when distro doesn't exist and we know the tarball is incompatible?
* ghcup-with wrapper to execute a command with a given ghc in PATH?
